CREATE TABLE IF NOT EXISTS `#__odudedir` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `alias` text NOT NULL,
  `category` int(11) NOT NULL,
  `article` longtext NOT NULL,
  `fullarticle` text NOT NULL,
  `ordering` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `ddate` datetime NOT NULL,
  `username` varchar(100) NOT NULL,
  `featured` int(1) NOT NULL,
  `hits` int(10) NOT NULL,
  `rating` int(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `#__odudedir_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `show_add` tinyint(1) NOT NULL,
  `auto_publish` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `subcat` int(11) NOT NULL,
  `alias` varchar(50) NOT NULL,
  `banner` varchar(50) NOT NULL,
  `bg` varchar(50) NOT NULL,
  `front` tinyint(1) NOT NULL,
  `html` text NOT NULL,
  `template` varchar(20) NOT NULL,
  `ordering` int(11) NOT NULL,
  `perrow` int(2) NOT NULL,
  `perpage` int(2) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `#__odudedir_file` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `aid` int(10) NOT NULL,
  `file` text NOT NULL,
  `falias` text NOT NULL,
  `pic_title` text NOT NULL,
  `pic_desp` text NOT NULL,
  `front` tinyint(1) NOT NULL,
  `type` varchar(5) NOT NULL,
  `userid` int(10) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `ordering` int(5) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;



CREATE TABLE IF NOT EXISTS `#__odudedir_data` (
  `aid` int(10) NOT NULL,
  `userid` int(10) NOT NULL,
  price text NOT NULL,
  currency text NOT NULL,
  product text NOT NULL,
  `status` text NOT NULL,
  deliver text NOT NULL,
  phone text NOT NULL,
  address text NOT NULL,
  extra text NOT NULL,
  KEY `aid` (`aid`)
) ENGINE=MyISAM;




 
INSERT INTO `#__odudedir` (`id`, `title`, `alias`, `category`, `article`, `fullarticle`, `ordering`, `published`, `ddate`, `username`, `featured`, `hits`, `rating`) VALUES
(1, 'Userful Information', '', 1, '', '<p><strong>TEST PASS</strong></p>\r\n<p><strong>ODude DIR IS WORKING PROPERLY.</strong></p>', 1, 1, '2014-06-30 10:52:00', '000', 0, 7, 0),
(2, 'Sample 1', '', 2, 'This is just a short info about sample 1', '', 2, 1, '2014-06-29 06:37:57', '000', 0, 0, 0),
(3, 'Dress', '', 3, '', 'Some information about dress.', 0, 1, '2014-06-30 10:38:57', '000', 0, 3, 0),
(4, 'Iphone 6', '', 4, 'This information will display in listing only,', '<p>full specification about the product.</p>', 0, 1, '2014-06-30 10:44:59', '000', 0, 6, 0);


INSERT INTO `#__odudedir_category` (`id`, `title`, `description`, `show_add`, `auto_publish`, `published`, `subcat`, `alias`, `banner`, `bg`, `front`, `html`, `template`, `ordering`, `perrow`, `perpage`) VALUES
(1, 'Manual Template', '<p>To add extra product/article you need to login here (At Category Page) as super admin user.</p>\r\n<p>At back-end it is only used for some modification.</p>\r\n<p>You will see<strong>ADD</strong>button after you logged in.</p>', 1, 1, 1, 0, 'manual', 'nopic.jpg', 'nopic.jpg', 0, '<b>This is html code</b>', 'manual', 0, 2, 20),
(2, 'Photo Template', '<p>This template is used to create a photo gallery.</p>', 1, 1, 1, 0, 'photo', 'nopic.jpg', 'nopic.jpg', 0, 'You can keep html code here.', 'photo', 0, 4, 20),
(3, 'Myntra Template', '<p>This template is used to add products.</p>', 1, 1, 1, 0, 'myntra', 'nopic.jpg', 'nopic.jpg', 0, 'Some html code here.', 'myntra', 3, 4, 20),
(4, 'Fancy Template', '<p>This template is used for product showcase.</p>', 1, 1, 1, 0, 'fancy', 'nopic.jpg', 'nopic.jpg', 0, 'html code', 'fancy', 4, 1, 20);


INSERT INTO `#__odudedir_data` (`aid`, `userid`, `price`, `currency`, `product`, `status`, `deliver`, `phone`, `address`, `extra`) VALUES
(0, 000, '', '', '', '', '', '', '', ''),
(1, 000, '', '', '', '', '', '', '', ''),
(2, 000, '', '', '', '', '', '', '', ''),
(3, 000, '100', 'USD', 'New', 'Available', 'Yes', '+800-000000000', '', 'extra details here.'),
(4, 000, '100', 'USD', '', '', '', '+800-000000000', 'contact details.', '');

INSERT INTO `#__odudedir_file` (`id`, `aid`, `file`, `falias`, `pic_title`, `pic_desp`, `front`, `type`, `userid`, `published`, `ordering`) VALUES
(1, 2, '1404023928.jpg', '1404023928', '', '', 1, '', 000, 1, 0),
(2, 3, '1404124773.jpg', '1404124773', '', '', 1, '', 000, 1, 0),
(3, 4, '1404125062.jpg', '1404125062', '', '', 1, '', 000, 1, 0),
(4, 4, '1404126214.jpg', '1404126214', '', '', 0, '', 000, 1, 0);