<?php

 /**
 * @package ODude DIR
 * @author ODude.com
 * @copyright (C) 2014 ODude Network. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 **/

defined( '_JEXEC' ) or die( 'Restricted access' );


 require_once ( JPATH_SITE .DS.'components'.DS.'com_odudedir'.DS.'include'.DS.'lib.php' );
class odudedirViewCategories
{
	function setCategoriesToolbar()
	{
		JToolBarHelper::title( JText::_( 'Category  Manager' ), 'generic.png' );
		JToolBarHelper::addNew();
		JToolBarHelper::editList();
		JToolBarHelper::publishList('publish');
		JToolBarHelper::unpublishList();		
		JToolBarHelper::deleteList();
		
		
		
	}

	public static function categories( $rows, $pageNav, $lists )
	{
		$odudedirViewCategories = new odudedirViewCategories();
		$odudedirViewCategories->setCategoriesToolbar();
		//odudedirViewCategories::setCategoriesToolbar();
		JHTML::_('behavior.tooltip');
		
		JHTML::_('behavior.formvalidation');
        //JHtml::_('formbehavior.chosen', 'select');
		?>
		<form action="index.php?
option=com_odudedir" method="post" name="adminForm" id="adminForm">
    <table width="100%">

        <tr>

            <td align="left" width="100%">
                <input type="text" name="search_cat" id="search_cat" value="<?php echo $lists['search_cat'];?>" class="text_area" placeholder="Search" style="margin:0px" />
		
				<button class="btn tip hasTooltip" type="submit" data-original-title="Search"><i class="icon-search"></i></button>
				<button class="btn tip hasTooltip" type="button" onclick="document.getElementById('search_cat').value='';this.form.submit();" data-original-title="Clear"><i class="icon-remove"></i></button>
				
				
				
				<div class="btn-group pull-right hidden-phone">
					<label for="limit" class="element-invisible"><?php echo JText::_('JFIELD_PLG_SEARCH_SEARCHLIMIT_DESC');?></label>
					<?php echo $pageNav->getLimitBox(); ?>
				</div>


            </td>

        </tr>

    </table>      
	<?php	
	function published( &$row, $i, $task, $imgY = 'tick.png', $imgX = 'publish_x.png', $prefix='' ){
        $img     = $row->published ? $imgY : $imgX;
        $task     = $row->published ? 'unpublish': 'publish';
        $alt     = $row->published ? JText::_( 'Published' ) : JText::_( 'Unpublished' );
        $action = $row->published ? JText::_( 'Unpublish Item' ) : JText::_( 'Publish item' );
 
        $href = '
        <a href="javascript:void(0);" onclick="return listItemTask(\'cb'. $i .'\',\''. $prefix.$task .'\')" title="'. $action .'">
        <img src="templates/hathor/images/admin/'. $img .'" border="0" alt="'. $alt .'" /></a>'
        ;
 
        return $href;
    
}   
    ?>
        
    <table class="table table-striped">
    <thead>
    	<tr>
        	<th width="20">
            <input type="checkbox" name="toggle"
 value="" onclick="Joomla.checkAll(this)">
            </th>
            <th width="50" class="title">
<?php echo JHTML::_('grid.sort',   'ID', 'id', @$lists['order_Dir'], @$lists['order'] ); ?></td>
            <th>
			<?php echo JHTML::_('grid.sort',   
'Category', 'title', @$lists['order_Dir'], @$lists['order'] ); ?></th>
 <th><?php echo JHTML::_('grid.sort','Sub Category ID', 'subcat', @$lists['order_Dir'], @$lists['order'] ); ?></th>
<th><?php echo JHTML::_('grid.sort',   'Layout', 'template', @$lists['order_Dir'], @$lists['order'] ); ?></th>
<th><?php echo JHTML::_('grid.sort', 'Alias', 'alias', @$lists['order_Dir'], @$lists['order'] ); ?></th>
<th nowrap="nowrap" width="8%"><?php echo JHTML::_('grid.sort', 'Order', 'ordering', @$lists['order_Dir'], @$lists['order']);?>&nbsp;
			<?php //echo JHTML::_('grid.order', $rows); //its showing error Missing argument 1 for odudedirControllerCategories::saveorder() ?></th>
            <th width="50" nowrap="nowrap">
			<?php echo JHTML::_('grid.sort',   'Published', 'published',@$lists['order_Dir'], @$lists['order'] ); ?></th>
        </tr>
    </thead>
	<tfoot>
		<tr>
			<td colspan="11">
			 <?php echo $pageNav->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
                
      <?php
	
    $k = 0;
	for($i=0, $n=count($rows); $i < $n ; $i++)
	{
$row = &$rows[$i];
$checked 	= JHTML::_('grid.id', $i, $row->id);
$published 	= published($row, $i, 'category'); 
// prepare link for id column
$link = JRoute::_( 'index.php?option=com_odudedir&c=categories&task=edit&cid[]='. $row->id );
?>
<tr class="<?php echo "row$k"; ?>">
<td><?php echo $checked ?></td>
<td><a href="<?php echo $link; ?>">
    <?php echo $row->id ?></a></td>
<td><a href="<?php echo $link; ?>"><?php echo $row->cattitle ?></a></td>
<td><a href="<?php echo $link; ?>"><?php echo $row->subcat ?></a></td>    
<td><a href="#"><?php echo $row->template ?></a></td> 
<td><a href="#"><?php echo $row->alias ?></a></td>   
<td class="order">
<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" class="text_area" style="text-align: center" />
</td>             
<td><?php echo $published ?></td>            
</tr>
        <?php
$k = 1 - $k;
	}
	
	
	?>
    </table>
    <input type="hidden" name="c" value="categories" />
    <input type="hidden" name="option" value="com_odudedir">
    <input type="hidden" name="task" value="">    
    <input type="hidden" name="boxchecked" value="0"> 
	<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
	    <input type="hidden" name="filter_order_Dir" value="<?php  echo $lists['order_Dir']; ?>" />    
    </form>
    <?php
	}
	
	
	
	
	function setCategoryToolbar()
	{
		$task = JRequest::getVar( 'task', '', 'method', 'string');

		JToolBarHelper::title( $task == 'add' ? JText::_( 'Category' ) . ': <small><small>[ '. JText::_( 'New' ) .' ]</small></small>' : JText::_( 'Category' ) . ': <small><small>[ '. JText::_( 'Edit' ) .' ]</small></small>', 'generic.png' );
		JToolBarHelper::save( 'save' );
		JToolBarHelper::apply('apply');
		JToolBarHelper::cancel( 'cancel' );
	}

	public static function category( $row, $lists )
	{
		$odudedirViewCategories = new odudedirViewCategories();
		$odudedirViewCategories->setCategoryToolbar();
		//odudedirViewCategories::setCategoryToolbar();
		JRequest::setVar( 'hidemainmenu', 1 );
        $editor	= JFactory::getEditor();
		JHTML::_('behavior.formvalidation');
		JHTML::_('behavior.tooltip');
       // JHtml::_('formbehavior.chosen', 'select');
		?>
        
<script language="javascript" type="text/javascript">
<!--
Joomla.submitbutton = function submitbutton(pressbutton) {
var form = document.adminForm;
if (pressbutton == 'cancel') {
submitform( pressbutton );
return;
}
			
			
submitform( pressbutton );
}
//-->
</script>        
  <style>
label{
display: inline-block !important;
}

</style>      
<form action="index.php" method="post" name="adminForm" class="form-validate">
<table class="admintable" >
         <tr>
                <td width=150>
                 <span class="hasTip" title="Under Category::Primary means to display it as front."><?php echo JText::_( 'Under Category' ); ?></span>*:
                </td>
                <td>
				      
				<select name="subcat" class="inputbox" size="1">
        <option   value="0">Primary</option>
			   
			   <?php
			   
			 
			  
			   $catelist=listCat();
			   
			   for($i=0, $n=count($catelist); $i < $n ; $i++)
				{
				$category = $catelist[$i];
					if($row->id!=$category->id)
					{
					?>
					<option   value="<?php echo $category->id; ?>" <?php if ($row->subcat==$category->id) echo 'selected="selected"';   ?>><?php echo $category->title; ?></option>
					<?php
					}
				}
			   
			   ?>
                 </select>    


				 
         
</td>
                </tr>

                <td width="100px" >
                <span class="hasTip" title="Category::Name of the category to dispaly."> <?php echo JText::_( 'Category' ); ?></span>*:
                </td>
                <td>
                 <input size="40"  type="text" name="title" value="<?php echo htmlspecialchars($row->title); ?>" class="required" />
                </td>
                </tr>
				  <tr>
                <td width="100px" >
               <span class="hasTip" title="Alias::This is for URL. It will be not displayed to user. Use a-z and 0-9 only. Don't use spaces.">  <?php echo JText::_( 'Alias' ); ?></span>*:
                </td>
                <td>
                 <input size="40"  type="text" name="alias" value="<?php echo htmlspecialchars($row->alias); ?>" class="required" />
                </td>
                </tr>
				
				 <tr>
                <td width="100px" >
                 <span class="hasTip" title="Description::Text to be displayed when category is opened."><?php echo JText::_( 'Description' ); ?></span>:
                </td>
                <td>
			
                <?php
                        echo $editor->display( 'description',$row->description, '800', '150', '75', '20' ) ;
						?>
                </td>
                </tr>
				 <tr>
                <td width="100px" >
                <span class="hasTip" title="HTML Code::You can copy paste adsenes google code or write any text to display at particual place."> <?php echo JText::_( 'Html/Adsense code' ); ?></span>:
                </td>
                <td>
				<textarea name="html" rows="10" cols="20"><?php echo $row->html; ?></textarea>
                <br>
                Adsense or any other html code
				<br>
				</td>
                </tr>
				
				<tr>
                <td>
                  <span class="hasTip" title="Enable Ad Button::Guest user will not see ADD button. But username ADMIN can see. It is recomended to use this button by admin if it is disabled."><?php echo JText::_( 'Enable Add Button' ); ?></span>*:
                </td>
                <td>
                 <?php
                        echo $lists['show_add'];
				 ?>
                  
                </td>
                </tr>
				
				 <tr>
                <td>
                  <span class="hasTip" title="Auto Publish::As soon as guest or admin post title it should be displayed to the user or not."><?php echo JText::_( 'Auto Publish' ); ?></span>*:
                </td>
                <td>
                 <?php
                        echo $lists['auto_publish'];
				 ?>
                  
                </td>
                </tr>
				
                <tr>
                <td >
			     <span class="hasTip" title="Published::The current category to hide or show."> <?php echo JText::_( 'Published' ); ?></span>*:
					</td>
                    <td>	
					
						<?php
                        echo $lists['published'];
						?>
					</td>
                </tr>
                       <tr>
                <td >
			      <span class="hasTip" title="Featured::This will be used by other module and selected category will have extra css element."><?php echo JText::_( 'Featured' ); ?>*</span>:
					</td>
                    <td>	
					
						<?php
                        echo $lists['front'];
						?>
					</td>
                </tr>
				<tr>
<td width="100"  class="key">
 <span class="hasTip" title="Order::Set ZERO to make it first. If many category have ZERO you need to make that to ONE for apear in next."> <?php echo JText::_( 'Order' ); ?></span>:
</td>
<td>
<?php
echo $lists['ordering'];
?>
</td>
</tr>  
                  <tr>
                <td width="100px" >
                 <span class="hasTip" title="Per Row::It handles how many titles to be shown per line."><?php echo JText::_( 'Per Row' ); ?></span>*:
                </td>
                <td>
                 <input size="5" maxlength="2" type="text" name="perrow" value="<?php echo htmlspecialchars($row->perrow); ?>" class="required"/>
                </td>
                </tr>
				  <tr>
                <td width="100px" >
                 <span class="hasTip" title="Per Page::It handles how many titles to be shown per page. Navigation is generated if it has many record."><?php echo JText::_( 'Per Page' ); ?></span>*:
                </td>
                <td>
                 <input size="5" maxlength="3" type="text" name="perpage" value="<?php echo htmlspecialchars($row->perpage); ?>" class="required" />
                </td>
                </tr>
				  <tr>
                <td width="100px" >
                 <span class="hasTip" title="Icon Filename::It is to represent category list."><?php echo JText::_( 'Icon Filename' ); ?></span>*:
                </td>
                <td>
				
					<select name="bg" class="required">	  
				  <?php
				  
				  $currency=$row->bg; 
if ($handle = opendir(JPATH_ROOT."/images/odudedir/"))
 {
    $blacklist = array('.', '..', 'somedir', 'index.html');
    while (false !== ($file = readdir($handle))) 
	{
        if (!in_array($file, $blacklist)) 
		{
		?>
		<option value="<?php echo $file; ?>" <?php if ($currency==$file) echo 'selected="selected"';?>><?php echo $file; ?></options>
		<?php
           // echo "$file\n";
        }
    }
    closedir($handle);
}
?>
</select>
				
				 File should be under <?php echo JURI::root()."images/odudedir/"; ?>
                </td>
                </tr>
				  <tr>
                <td width="100px" >
                <span class="hasTip" title="Banner::This image is displayed when category is opened."> <?php echo JText::_( 'Banner Filename' ); ?></span>*:
                </td>
                <td>
				
							<select name="banner" class="required">	  
				  <?php
				  
				  $currency=$row->banner; 
if ($handle = opendir(JPATH_ROOT."/images/odudedir/"))
 {
    $blacklist = array('.', '..', 'somedir', 'index.html');
    while (false !== ($file = readdir($handle))) 
	{
        if (!in_array($file, $blacklist)) 
		{
		?>
		<option value="<?php echo $file; ?>" <?php if ($currency==$file) echo 'selected="selected"';?>><?php echo $file; ?></options>
		<?php
           // echo "$file\n";
        }
    }
    closedir($handle);
}
?>
</select>
				
			
				 File should be under <?php echo JURI::root()."images/odudedir/"; ?>
                </td>
                </tr>
                  <tr>
                <td width="100px" >
                <span class="hasTip" title="Layout/Tempalte::Choose it according to the category function."> <?php echo JText::_( 'Layout Name' ); ?></span>*:
                </td>
                <td>
            
				 
				  
			<select name="template" class="required">	  
				  <?php
				  
				  $currency=$row->template; 
if ($handle = opendir(JPATH_ROOT."/components/com_odudedir/template/"))
 {
    $blacklist = array('.', '..', 'somedir', 'index.html','pure-min.css');
    while (false !== ($file = readdir($handle))) 
	{
        if (!in_array($file, $blacklist)) 
		{
		?>
		<option value="<?php echo $file; ?>" <?php if ($currency==$file) echo 'selected="selected"';?>><?php echo $file; ?></options>
		<?php
           // echo "$file\n";
        }
    }
    closedir($handle);
}
?>
</select>
 Templates (Layout) are list under <?php echo JURI::root()."components/com_odudedir/template/"; ?>. (Folder name)


				  
				  
                </td>
                </tr>
               
                </table>
                
       
                <input type="hidden" name="c" value="categories" />       
<input type="hidden" name="option" value="com_odudedir" />
<input type="hidden" name="id" value="<?php echo $row->id?>" />        
<input type="hidden" name="cid[]" value="<?php echo $row->id; ?>" />        
<input type="hidden" name="task" value="" />        
</form>
        <?php		
	}
	
	
	

}
